Package twisted :: Package web :: Package woven :: Module template :: Class DOMController

[show private | hide private]
[frames | no frames]

## Class DOMController

    Collection --+
                 |
       Constrained --+
                     |
      ConfigCollection --+
                         |
                  Resource --+
                             |
                    Controller --+
                                 |
        Collection --+           |
                     |           |
           Constrained --+       |
                         |       |
          ConfigCollection --+   |
                             |   |
                      Resource --+
                                 |
                                DOMController

A simple controller that automatically passes responsibility on to the view class registered for the model. You can override render to perform more advanced template lookup logic.

Method Summary
| `__init__(self, *args, **kwargs)`
| `aggregateInvalid(self, request, input, data)` (inherited from `Controller`)
| `aggregateValid(self, request, input, data)` (inherited from `Controller`)
| ``delEntity`(self, name)` Remove a static reference for 'name'. (inherited from `Resource`)
| `domChanged(self, request, widget, node)` (inherited from `Controller`)
| ``entityConstraint`(self, entity)` A method that determines whether an entity may be added to me. (inherited from `ConfigCollection`)
| `gatheredControllers(self, v, d, request)` (inherited from `Controller`)
| ``getChild`(self, name, request)` Look for a factory method to create the object to handle the next segment of the URL. (inherited from `Controller`)
| ``getChildForRequest`(self, request)` (internal) Get a child of mine dependant on a particular request. (inherited from `Resource`)
| ``getChildWithDefault`(self, path, request)` Retrieve a static or dynamically generated child resource from me. (inherited from `Resource`)
| ``getDynamicChild`(self, name, request)` This method is called when getChild cannot find a matching wchild_* method in the Controller. (inherited from `Controller`)
| ``getDynamicEntity`(self, name, request)` Subclass this to generate an entity on demand. (inherited from `Resource`)
| ``getEntity`(self, name, request)` Retrieve an entity from me. (inherited from `Collection`)
| `getEntityType(self)` (inherited from `ConfigCollection`)
| `getNameType(self)` (inherited from `ConfigCollection`)
| ``getStaticEntity`(self, name)` Get an entity that was added to me using putEntity. (inherited from `Resource`)
| `getSubcontroller(self, request, node, model, controllerName)` (inherited from `Controller`)
| ``handle`(self, request)` By default, we don't do anything (inherited from `Controller`)
| `importControllerLibrary(self, namespace)` (inherited from `Controller`)
| ``listDynamicEntities`(self, request)` A list of all name, entity that I can generate on demand. (inherited from `Resource`)
| ``listDynamicNames`(self)` Retrieve a list of the names of entities that I store references to. (inherited from `Resource`)
| `listEntities(self)` (inherited from `Resource`)
| `listNames(self)` (inherited from `Resource`)
| ``listStaticEntities`(self)` Retrieve a list of all name, entity pairs that I store references to. (inherited from `Resource`)
| ``listStaticNames`(self)` Retrieve a list of the names of entities that I store references to. (inherited from `Resource`)
| `makeView(self, model, templateFile, parentCount)` (inherited from `Controller`)
| ``nameConstraint`(self, name)` A method that determines whether an entity may be added to me with a given name. (inherited from `Constrained`)
| ``pageRenderComplete`(self, request)` Override this to recieve notification when the view rendering process is complete. (inherited from `Controller`)
| `process(self, request, **kwargs)`
| ``putChild`(self, path, child)` Register a static child. (inherited from `Resource`)
| ``putEntity`(self, name, entity)` Store an entity if it meets both constraints. (inherited from `Constrained`)
| `reallyPutEntity(self, name, entity)` (inherited from `Resource`)
| ``removeEntity`(self, name, request)` Remove an entity for 'name', based on the content of 'request'. (inherited from `Collection`)
| ``render`(self, request)` Trigger any inputhandlers that were passed in to this Page, then delegate to the View for traversing the DOM.
| `renderView(self, request)` (inherited from `Controller`)
| `setNode(self, node)` (inherited from `Controller`)
| `setSubcontrollerFactory(self, name, factory, setup)` (inherited from `Controller`)
| `setSubmodel(self, submodel)` (inherited from `Controller`)
| `setUp(self, request)`
| `setupControllerStack(self)` (inherited from `Controller`)
| `setView(self, view)` (inherited from `Controller`)
| ``storeEntity`(self, name, request)` Store an entity for 'name', based on the content of 'request'. (inherited from `Collection`)
| ``wchild_index`(self, request)` By default, we return ourself as the index. (inherited from `Controller`)

Class Variable Summary
`tuple` | `__implements__`

Method Details

### render(self, request)

Trigger any inputhandlers that were passed in to this Page, then delegate to the View for traversing the DOM. Finally, call gatheredControllers to deal with any InputHandlers that were constructed from any controller= tags in the DOM. gatheredControllers will render the page to the browser when it is done.

  Overrides:
    `twisted.web.woven.controller.Controller.render` (inherited documentation)

Class Variable Details

### __implements__

  Type:
    `tuple`
  Value:

        ((<class 'twisted.web.woven.interfaces.IController'>,
          <class 'twisted.web.resource.IResource'>),
         <class 'twisted.web.resource.IResource'>)

Generated by Epydoc 1.1 on Thu May 8 13:19:14 2003 | http://epydoc.sf.net